SYSTEMD-STDIO-BRIDGE(1)

NOM
systemd-stdio-bridge – mandataire pour D-Bus

SYNOPSIS

systemd-stdio-bridge [OPTIONS...]

DESCRIPTION

systemd-stdio-bridge met en œuvre un mandataire (proxy) entre les entrée/sortie standard (STDIN/STDOUT) et un bus D-Bus. Il attend une ouverture de connexion à l’aide des flux STDIN/STDOUT lorsqu’ils sont démarrés et crée une nouvelle connexion au bus indiqué. Il transmettra alors les messages entre les deux connexions. Ce programme est adapté à l’activation de socket : la première connexion peut être un tube ou un socket et doit être passée en tant qu’entrée standard ou comme descripteur de fichier ouvert selon le protocole décrit dans sd_listen_fds(3). La seconde connexion est faite par défaut au bus du système local, mais cela peut être modifié par les options --user, --system, --machine= et --bus-path= décrites ci-après.

sd-bus(3) utilise systemd-stdio-bridge pour transmettre les connexions à l’aide de ssh(1) ou pour se connecter au bus d'un utilisateur différent (voir sd_bus_set_address(3)).

OPTIONS

Les options suivantes sont comprises :

--user
    Échanger avec le gestionnaire de service de l'utilisateur appelant plutôt qu'avec le gestionnaire de service du système.

--system
    Échanger avec le gestionnaire de service du système. C'est la valeur implicite par défaut.

-M, --machine=
    Effectuer l'opération dans un conteneur local. Préciser le nom d'un conteneur auquel se connecter, optionnellement préfixé par le nom d'utilisateur sous lequel se connecter et un caractère de séparation « @ ». Si la chaîne spéciale « .host » est utilisée à la place du nom du conteneur, une connexion au système local est effectuée (ce qui est utile pour se connecter au bus utilisateur d'un utilisateur particulier : « --user --machine=lennart@.host »). Si la syntaxe « @ » n'est pas utilisée, la connexion est réalisée en tant que superutilisateur. Si la syntaxe « @ » est utilisée, le côté gauche ou le côté droit peuvent être omis (mais pas les deux à la fois), auquel cas le nom de l'utilisateur local et « .host » sont implicites.

-p CHEMIN, --bus-path=CHEMIN
    CHEMIN de l’adresse du bus. Par défaut, unix:path=/run/dbus/system_bus_socket

    Ajouté dans la version 251.

-q, --quiet
    Suppresses error logging on failure.

    Ajouté dans la version 259.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

dbus-daemon(1), dbus-broker(1), D-Bus[1], systemd(1)

NOTES

1.  D-Bus
    https://www.freedesktop.org/wiki/Software/dbus

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.